<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@803AFA18=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pw@1F800094=1735</action>
    </script>
  </cheat>

  <cheat desc="Finish this Round Now!">
    <script state="on">
      <action>maincpu.pw@1F800094=0001</action>
    </script>
  </cheat>

  <cheat desc="Enable Secret Characters"> <comment>This adds ShenLong (Tiger) + Gado (Lion) to the character selection screen</comment>
    <script state="run">
      <action>maincpu.pw@803AC308=1FFC</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@1F80018C=00</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL1">
    <script state="on">
      <action>maincpu.pb@1F80018C=97</action>
    </script>
  </cheat>

  <cheat desc="Always have Maximum Power PL1">
    <script state="run">
      <action>maincpu.pb@1F8001B7=3B</action>
    </script>
  </cheat>

  <cheat desc="Drain All Power Now! PL1">
    <script state="on">
      <action>maincpu.pb@1F8001B7=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@1F800290=00</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL2">
    <script state="on">
      <action>maincpu.pb@1F800290=97</action>
    </script>
  </cheat>

  <cheat desc="Always have Maximum Power PL2">
    <script state="run">
      <action>maincpu.pb@1F8002BB=3B</action>
    </script>
  </cheat>

  <cheat desc="Drain All Power Now! PL2">
    <script state="on">
      <action>maincpu.pb@1F8002BB=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Select Region"> <comment>This cheat sets the machine region - the effectiveness may vary! You have to enable this ASAP - ON or before the ROM check screen! Or enable + RESET</comment>
    <parameter>
      <item value="0x00">Japan</item>
      <item value="0x01">USA</item>
      <item value="0x02">Rest of World</item>
      <item value="0x03">Asia</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@1FAF0388=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
